% this is the demo file for benchmarking the 4 methods
clear all;
clc;
root='C:\Users\qzhang53\Documents\MATLAB\CMU_PIE\pie_jpg\rotate\';
n_people=68;
n_image=45;
n_test=24;
n_train=21;
n_ratio=[0 0.2 0.5 0.8];
n_round=3;
cd(root);
% matlabpool close force;
% =========================================================================
    SplitPIEDatabase(root, n_people, n_image, n_test, 1);
    for j=n_ratio
        demoSRC('PIE', root, n_people, n_train, 50, 35, 3, 0, 1, 2, [], [], [], j);
    end
    SplitPIEDatabase(root, n_people, n_image, n_test, 1);
    for j=n_ratio
        demoSRC('PIE', root, n_people, n_train, 50, 35, 3, 0, 1, 2, [], [], [], j);
    end
    return;
% =========================================================================
for i=1: n_round
    matlabpool open;
    for j=n_ratio
        run_JointMC('PIE', root, n_people, n_train, 50, 35, 3, 0, 1, 0, 2.5, [], [], [], [], j);
    end
    for j=n_ratio
        demoSRC('PIE', root, n_people, n_train, 50, 35, 3, 0, 1, 2, [], [], [], j);
    end
    for j=n_ratio
        volterrafacesDemo('PIE', root, n_people, n_image, n_train, n_test, j);
    end
    Run_Nimble_Experiment('PIE', root, n_people, n_image, n_train, n_test, n_ratio);
    matlabpool close force;
    SplitPIEDatabase(root, n_people, n_image, n_test, 1);
end

clc;
idx2=zeros(size(idx));
for i=1: length(idx)
    idx2(i)=output(i).idx;
end
lbl=ceil((1: 1632)/24);
err=find(idx~=lbl);
err2=find(idx2~=lbl);
fprintf('%.2f\t%.4f\t%.4f\n', option.ratio, 1-length(err)/1632, 1-length(err2)/1632);
clear;

clc;
idx1=zeros(size(idx));
idx2=zeros(size(idx));
for i=1: length(idx)
    idx1(i)=output(i).idx1;
    idx2(i)=output(i).idx2;
end
lbl=ceil((1: 1632)/24);
err=find(idx~=lbl);
err1=find(idx1~=lbl);
err2=find(idx2~=lbl);
fprintf('%.2f\t%.4f\t%.4f\t%.4f\n', option.ratio, 1-length(err)/1632, 1-length(err1)/1632, 1-length(err2)/1632);
clear;

clc;
fprintf('%.2f\n', 100-rate);
clear;

clc;
Results.mean_class_accuracy
clear;
