% this is the demo file for benchmarking the 4 methods
clear all;
clc;
root='C:\Users\qzhang53\Documents\MATLAB\Multi_PIE\';
n_people=68;
n_image=153;
n_test=112;
n_train=41;
n_ratio=[0 0.2 0.5 0.8];
n_round=3;
cd(root);
matlabpool close force;
% =========================================================================
for i=1: n_round
    matlabpool open;
    for j=n_ratio
        run_JointMC('Multi-PIE', root, n_people, n_train, 50, 35, 3, 0, 1, 0, 2.5, [], [], [], [], j);
    end
    for j=n_ratio
        demoSRC('PIE', root, n_people, n_train, 50, 35, 3, 0, 1, 2, [], [], [], j);
    end
    for j=n_ratio
        volterrafacesDemo('PIE', root, n_people, n_image, n_train, n_test, j);
    end
    Run_Nimble_Experiment('PIE', root, n_people, n_image, n_train, n_test, n_ratio);
    matlabpool close force;
    SplitPIEDatabase(root, n_people, n_image, n_test, 0);
end
return

clc;
idx2=zeros(size(idx));
for i=1: length(idx)
    idx2(i)=output(i).idx;
end
lbl=ceil((1: 7616)/112);
idx=mod(idx-1, 68)+1;
idx2=mod(idx2-1, 68)+1;
err=find(idx~=lbl);
err2=find(idx2~=lbl);
fprintf('%.2f\t%.4f\t%.4f\n', option.ratio, 1-length(err)/7616, 1-length(err2)/7616);
clear;

clc;
idx1=zeros(size(idx));
idx2=zeros(size(idx));
for i=1: length(idx)
    idx1(i)=output(i).idx1;
    idx2(i)=output(i).idx2;
end
lbl=ceil((1: 7676)/112);
err=find(idx~=lbl);
err1=find(idx1~=lbl);
err2=find(idx2~=lbl);
fprintf('%.2f\t%.4f\t%.4f\t%.4f\n', option.ratio, 1-length(err)/1632, 1-length(err1)/7616, 1-length(err2)/7616);
clear;

clc;
fprintf('%.2f\n', 100-rate);
clear;

clc;
Results.mean_class_accuracy
clear;